CVE-2004-2031
CVSS4.3
发布时间 :2004-05-21 00:00:00
修订时间 :2016-10-17 23:05:09
NMCO    

[原文]Cross-site scripting (XSS) vulnerability in user.php in e107 allows remote attackers to inject arbitrary web script or HTML via the (1) URL, (2) MSN, or (3) AIM fields.


[CNNVD]e107 Website系统User.PHP HTML注入漏洞(CNNVD-200405-055)

        e107版本的user.php存在跨站脚本漏洞。远程攻击者借助(1)URL,(2)MSN,(3)AIM字段注入任意web脚本或者HTML。

- CVSS (基础分值)

CVSS分值: 4.3 [中等(MEDIUM)]
机密性影响: [--]
完整性影响: [--]
可用性影响: [--]
攻击复杂度: [--]
攻击向量: [--]
身份认证: [--]

- CPE (受影响的平台与产品)

cpe:/a:e107:e107:0.615
cpe:/a:e107:e107:0.555_beta
cpe:/a:e107:e107:0.615a
cpe:/a:e107:e107:0.610
cpe:/a:e107:e107:0.554
cpe:/a:e107:e107:0.612
cpe:/a:e107:e107:0.545
cpe:/a:e107:e107:0.611
cpe:/a:e107:e107:0.603
cpe:/a:e107:e107:0.614
cpe:/a:e107:e107:0.613

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-2031
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2004-2031
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200405-055
(官方数据源) CNNVD

- 其它链接及资源

http://marc.info/?l=bugtraq&m=108541119526279&w=2
(UNKNOWN)  BUGTRAQ  20040522 e107 web portal user.php XSS (Cross Site Scripting)
http://www.securityfocus.com/bid/10405
(VENDOR_ADVISORY)  BID  10405
http://xforce.iss.net/xforce/xfdb/16241
(VENDOR_ADVISORY)  XF  e107-user-xss(16241)

- 漏洞信息

e107 Website系统User.PHP HTML注入漏洞
中危 跨站脚本
2004-05-21 00:00:00 2005-10-20 00:00:00
远程  
        e107版本的user.php存在跨站脚本漏洞。远程攻击者借助(1)URL,(2)MSN,(3)AIM字段注入任意web脚本或者HTML。

- 公告与补丁

        Currently we are not aware of any vendor-supplied patches for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com .

- 漏洞信息

6410
e107 user.php Multiple Parameter XSS
Remote / Network Access Input Manipulation
Loss of Integrity
Exploit Public

- 漏洞描述

e107 contains a flaw that allows a remote cross site scripting attack. This flaw exists because the application does not validate "URL", "AIM", and "MSN" variables upon submission to the "user.php" script. This could allow a user to create a specially crafted URL that would execute arbitrary code in a user's browser within the trust relationship between the browser and the server, leading to a loss of integrity.

- 时间线

2004-05-22 Unknow
2004-05-22 Unknow

- 解决方案

Currently, there are no known upgrades, patches, or workarounds available to correct this issue.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站